## openvr 1.8.19~ds1

=== src/CMakeLists.txt ===
# Project name.
project(openvr_api)

set( LIBNAME "openvr_api" )
set(OPENVR_HEADER_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../headers)

# Set some properies for specific files.
if(APPLE)
  set(CMAKE_MACOSX_RPATH 1)
  if(CMAKE_SYSTEM_NAME MATCHES "Darwin")
    set_source_files_properties(vrcommon/pathtools_public.cpp vrcommon/vrpathregistry_public.cpp PROPERTIES COMPILE_FLAGS "-x objective-c++")
  endif()
  if(BUILD_SHARED OR BUILD_FRAMEWORK)
    find_library(FOUNDATION_FRAMEWORK Foundation)
    mark_as_advanced(FOUNDATION_FRAMEWORK)
    set(EXTRA_LIBS ${EXTRA_LIBS} ${FOUNDATION_FRAMEWORK})
  endif(BUILD_SHARED OR BUILD_FRAMEWORK)
elseif(WIN32)
  if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    add_definitions( -DWIN64 )
    set( LIBNAME "openvr_api64" )
  endif()
endif()

# Add include folders.
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../headers ${CMAKE_CURRENT_SOURCE_DIR}/vrcommon)

if(USE_CUSTOM_LIBCXX)
	link_directories(
		${LIBCXX_LIB_DIR}
	)
endif()

# Set the source group and files.
set(CORE_FILES
	openvr_api_public.cpp
	jsoncpp.cpp
)
set(VRCOMMON_FILES
	vrcommon/dirtools_public.cpp
	vrcommon/envvartools_public.cpp
	vrcommon/pathtools_public.cpp
	vrcommon/sharedlibtools_public.cpp
	vrcommon/hmderrors_public.cpp
	vrcommon/vrpathregistry_public.cpp
	vrcommon/strtools_public.cpp
)

set(SOURCE_FILES
	${CORE_FILES}
	${VRCOMMON_FILES}
)

set(PUBLIC_HEADER_FILES
	${OPENVR_HEADER_DIR}/openvr_driver.h
	${OPENVR_HEADER_DIR}/openvr_capi.h
	${OPENVR_HEADER_DIR}/openvr.h
)

source_group("Src" FILES
	${CORE_FILES}
)

source_group("VRCommon" FILES
	${VRCOMMON_FILES}
)

# Build the library.
if(BUILD_SHARED)
	add_library(${LIBNAME} SHARED ${SOURCE_FILES})
elseif(BUILD_FRAMEWORK)
	set( LIBNAME "OpenVR" )
	add_library( ${LIBNAME} 
            SHARED ${SOURCE_FILES}
            ${CMAKE_SOURCE_DIR}/headers/openvr.h
            ${CMAKE_SOURCE_DIR}/headers/openvr_api.cs
            ${CMAKE_SOURCE_DIR}/headers/openvr_api.json
            ${CMAKE_SOURCE_DIR}/headers/openvr_capi.h
            ${CMAKE_SOURCE_DIR}/headers/openvr_driver.h
	)
	set_target_properties(OpenVR PROPERTIES
		FRAMEWORK TRUE
		FRAMEWORK_VERSION A
		MACOSX_FRAMEWORK_IDENTIFIER com.valvesoftware.OpenVR.framework
		MACOSX_FRAMEWORK_INFO_PLIST ${CMAKE_SOURCE_DIR}/src/Info.plist
		# "current version" in semantic format in Mach-O binary file
		VERSION 1.0.6
		# "compatibility version" in semantic format in Mach-O binary file
		SOVERSION 1.0.0
		PUBLIC_HEADER "${CMAKE_SOURCE_DIR}/headers/openvr.h;${CMAKE_SOURCE_DIR}/headers/openvr_api.cs;${CMAKE_SOURCE_DIR}/headers/openvr_api.json;${CMAKE_SOURCE_DIR}/headers/openvr_capi.h;${CMAKE_SOURCE_DIR}/headers/openvr_driver.h"
		LINKER_LANGUAGE CXX
	)
else()
	add_library(${LIBNAME} STATIC ${SOURCE_FILES})
endif()

if(USE_CUSTOM_LIBCXX)
	set(EXTRA_LIBS ${EXTRA_LIBS} c++ c++abi)
endif()

target_link_libraries(${LIBNAME} ${EXTRA_LIBS} ${CMAKE_DL_LIBS})
target_include_directories(${LIBNAME} PUBLIC ${OPENVR_HEADER_DIR})

install(TARGETS ${LIBNAME} DESTINATION lib)
install(FILES ${PUBLIC_HEADER_FILES} DESTINATION include/openvr)

# Generate a .pc file for linux environments
if(PLATFORM_NAME MATCHES "linux")
    set(INSTALL_PKGCONFIG_DIR "${CMAKE_INSTALL_PREFIX}/share/pkgconfig" CACHE PATH "Installation directory for pkgconfig (.pc) files")
    CONFIGURE_FILE("openvr.pc.in" "openvr.pc" @ONLY)

    set(OPENVR_PC ${CMAKE_CURRENT_BINARY_DIR}/openvr.pc)
    if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
        install(FILES ${OPENVR_PC} DESTINATION "${INSTALL_PKGCONFIG_DIR}")
    endif()
endif()

## openvr 1.6.10~ds1

=== debian/changelog ===
openvr (1.6.10~ds1-1) unstable; urgency=medium

  * New upstream release.
  * Apply patchset to use system jsoncpp instead of embedded one.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 16 Aug 2019 11:18:13 +0800

openvr (1.5.17~ds1-2) unstable; urgency=medium

  * Added references to the embedded json implementation.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 14 Aug 2019 05:30:40 +0800

openvr (1.5.17~ds1-1) unstable; urgency=medium

  * Initial Release. (Closes: #933579)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 01 Aug 2019 09:32:32 +0800

=== debian/control ===
Source: openvr
Section: contrib/devel
Priority: optional
Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 11),
 libjsoncpp-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/ValveSoftware/openvr
Vcs-Browser: https://salsa.debian.org/xrdesktop-team/openvr
Vcs-Git: https://salsa.debian.org/xrdesktop-team/openvr.git

Package: libopenvr-api-dev
Section: contrib/libdevel
Architecture: linux-any
Depends:
 ${misc:Depends},
Description: OpenVR SDK -- development files
 OpenVR is an API and runtime that allows access to VR hardware from multiple
 vendors without requiring that applications have specific knowledge of the
 hardware they are targeting. This repository is an SDK that contains the API
 and samples. The runtime is under SteamVR in Tools on Steam.
 .
 This package contains the headers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

override_dh_install:
	# Move the static library in a multi-arch subdirectory
	cd debian/libopenvr-api-dev/usr/lib/ && \
	  mkdir $(DEB_HOST_MULTIARCH) && \
	  mv *.a $(DEB_HOST_MULTIARCH)
	dh_missing --list-missing

%:
	dh $@


# Use mk-origtargz command to follow Files-Excluded tag in d/copyright to
# repack DFSG tarbll.
get-orig-source:
	set -e;\
	wget --continue \
		https://github.com/ValveSoftware/openvr/archive/v$(DEB_VERSION_UPSTREAM).tar.gz
	mk-origtargz --rename --repack --repack-suffix ~ds1 --compression xz v$(DEB_VERSION_UPSTREAM).tar.gz

## openvr 1.8.19~ds1

=== debian/changelog ===
openvr (1.8.19~ds1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:15 +0100

openvr (1.8.19~ds1-3) unstable; urgency=medium

  * debian/control: fix overwriting files from libopenvr-api-dev.
    (Closes: #946424)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 13 Dec 2019 15:52:18 +0800

openvr (1.8.19~ds1-2) unstable; urgency=medium

  * Drop private-lib-path patch.
  * Add a patch to build lib with versioned soname.
  * Split the package to libopenvr-api1 and libopenvr-dev.
  * Improve the patch to install into arch specific dir.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 03 Dec 2019 14:42:40 +0800

openvr (1.8.19~ds1-1) unstable; urgency=medium

  * New upstream version 1.8.19.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 13 Nov 2019 11:56:52 +0800

openvr (1.7.15~ds1-1) unstable; urgency=medium

  * New upstream version 1.7.15.
  * Fix private lib path in .pc file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 11 Oct 2019 15:48:20 +0800

openvr (1.6.10~ds1-2) unstable; urgency=medium

  * Really build as shared libs with system jsoncpp instead of static.
  * Apply patches to fix ftbfs and make lintian happy.
  * debian/control: added shlibs depends line as now we ship shared libs
    instead of static.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 19 Aug 2019 12:15:11 +0800

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED=True -DUSE_SYSTEM_JSONCPP=True

override_dh_missing:
	dh_missing --list-missing

# Use mk-origtargz command to follow Files-Excluded tag in d/copyright to
# repack DFSG tarbll.
get-orig-source:
	set -e;\
	wget --continue \
		https://github.com/ValveSoftware/openvr/archive/v$(DEB_VERSION_UPSTREAM).tar.gz
	mk-origtargz --rename --repack --repack-suffix ~ds1 --compression xz v$(DEB_VERSION_UPSTREAM).tar.gz

## openvr 1.10.30~ds1

=== debian/changelog ===
openvr (1.10.30~ds1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 28 Apr 2020 16:34:41 +0800

openvr (1.10.30~ds1-1) unstable; urgency=medium

  * New upstream release.
  * Replace previous patchset with patchset from upstream pull request.
  * Updated findjsoncpp.patch to find the jsoncpp lib in correctly
    location.
  * Add upstream pull request 1342 that fixed ftbfs.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 01 Apr 2020 08:04:04 +0800

openvr (1.8.19~ds1-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 30 Mar 2020 14:15:16 +0800

## openvr 1.12.5~ds1

=== debian/changelog ===
openvr (1.12.5~ds1-1build2) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:50:31 +0000

openvr (1.12.5~ds1-1build1) hirsute; urgency=medium

  * Rebuild against new libjsoncpp24.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 15:26:13 +0100

openvr (1.12.5~ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 07 Aug 2020 16:59:29 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openvr
 Section: contrib/devel
 Priority: optional
-Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
  cmake,
@@ -12,11 +13,25 @@
 Vcs-Browser: https://salsa.debian.org/xrdesktop-team/openvr
 Vcs-Git: https://salsa.debian.org/xrdesktop-team/openvr.git
 
-Package: libopenvr-api-dev
+Package: libopenvr-api1
+Section: contrib/libs
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: OpenVR SDK
+ OpenVR is an API and runtime that allows access to VR hardware from multiple
+ vendors without requiring that applications have specific knowledge of the
+ hardware they are targeting. This repository is an SDK that contains the API
+ and samples. The runtime is under SteamVR in Tools on Steam.
+
+Package: libopenvr-dev
 Section: contrib/libdevel
 Architecture: linux-any
 Depends:
+ libopenvr-api1 (= ${binary:Version}),
  ${misc:Depends},
+Replaces: libopenvr-api-dev (<<1.8.19~ds1-2)
+Breaks: libopenvr-api-dev (<<1.8.19~ds1-2)
 Description: OpenVR SDK -- development files
  OpenVR is an API and runtime that allows access to VR hardware from multiple
  vendors without requiring that applications have specific knowledge of the

## openvr 1.23.7~ds1

=== CMakeLists.txt ===
# Set the minimum required version of CMake for this project.
cmake_minimum_required(VERSION 2.8)

# Set project name.
project(OpenVRSDK)

# Fetch the version from the headers
set(VERSION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/headers/openvr.h")

set(VERSION_MAJOR_REGEX "\tstatic const uint32_t k_nSteamVRVersionMajor = (.+);")
set(VERSION_MINOR_REGEX "\tstatic const uint32_t k_nSteamVRVersionMinor = (.+);")
set(VERSION_BUILD_REGEX "\tstatic const uint32_t k_nSteamVRVersionBuild = (.+);")

file(STRINGS "${VERSION_FILE}" VERSION_MAJOR_STRING REGEX "${VERSION_MAJOR_REGEX}")
file(STRINGS "${VERSION_FILE}" VERSION_MINOR_STRING REGEX "${VERSION_MINOR_REGEX}")
file(STRINGS "${VERSION_FILE}" VERSION_BUILD_STRING REGEX "${VERSION_BUILD_REGEX}")

string(REGEX REPLACE "${VERSION_MAJOR_REGEX}" "\\1" VERSION_MAJOR ${VERSION_MAJOR_STRING})
string(REGEX REPLACE "${VERSION_MINOR_REGEX}" "\\1" VERSION_MINOR ${VERSION_MINOR_STRING})
string(REGEX REPLACE "${VERSION_BUILD_REGEX}" "\\1" VERSION_BUILD ${VERSION_BUILD_STRING})

set(OPENVR_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_BUILD}")

# Setup some options.
option(BUILD_SHARED "Builds the library as shared library" OFF)
option(BUILD_FRAMEWORK "Builds the library as an apple Framework" OFF)
option(BUILD_UNIVERSAL "Builds the shared or framework as a universal (fat, 32- & 64-bit) binary" ON)
option(BUILD_OSX_I386 "Builds the shared or framework as a 32-bit binary, even on a 64-bit platform" OFF)
option(USE_LIBCXX "Uses libc++ instead of libstdc++" ON)
option(USE_CUSTOM_LIBCXX "Uses a custom libc++" OFF)

add_definitions( -DVR_API_PUBLIC )

# Check if 32 or 64 bit system.
set(SIZEOF_VOIDP ${CMAKE_SIZEOF_VOID_P})
if(CMAKE_SIZEOF_VOID_P EQUAL 8)
  set(PROCESSOR_ARCH "64")
else()
  set(PROCESSOR_ARCH "32")
endif()

# Get platform.
if(WIN32)
  set(PLATFORM_NAME "win")
  if(NOT BUILD_SHARED)
    add_definitions(-DOPENVR_BUILD_STATIC)
  endif()
elseif(UNIX AND NOT APPLE)
  if(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
    set(PLATFORM_NAME "linux")
    add_definitions(-DLINUX -DPOSIX)
    if(PROCESSOR_ARCH MATCHES "64")
        add_definitions(-DLINUX64)
    endif()
  endif()
elseif(APPLE)
  if(CMAKE_SYSTEM_NAME MATCHES ".*Darwin.*" OR CMAKE_SYSTEM_NAME MATCHES ".*MacOS.*")
    set(PLATFORM_NAME "osx")
    add_definitions(-DOSX -DPOSIX)
    if(BUILD_UNIVERSAL)
      set(CMAKE_OSX_ARCHITECTURES "i386;x86_64")
    endif()
    if(BUILD_OSX_I386)
      set(PROCESSOR_ARCH "32")
      set(CMAKE_OSX_ARCHITECTURES "i386")
    endif()
  endif()
endif()

# Set output folder for static and shared libraries
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/bin/${PLATFORM_NAME}${PROCESSOR_ARCH})
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/bin/${PLATFORM_NAME}${PROCESSOR_ARCH})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/bin/${PLATFORM_NAME}${PROCESSOR_ARCH})

# Enable some properties.
if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
	# Enable c++11 and hide symbols which shouldn't be visible
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fPIC -fvisibility=hidden")

	# Set custom libc++ usage here
	if(CMAKE_C_COMPILER_ID MATCHES "Clang" AND USE_LIBCXX)
		if(USE_CUSTOM_LIBCXX)
			if(BUILD_SHARED)
				set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -stdlib=libc++")
			endif()
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -nostdinc++")
			include_directories( ${LIBCXX_INCLUDE} ${LIBCXX_ABI_INCLUDE})
			message(STATUS "Using custom libc++")
		else()
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
			message(STATUS "Using libc++")
		endif()
	endif()
endif()

add_subdirectory(src)

=== debian/changelog ===
openvr (1.23.7~ds1-2.1build2) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 09 Nov 2024 12:03:09 +0000

openvr (1.23.7~ds1-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:08:38 +1100

openvr (1.23.7~ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063109

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:53:26 +0000

openvr (1.23.7~ds1-2) unstable; urgency=medium

  * Switch to team maintenance.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.1, no changes needed.
  * Set Rules-Requires-Root: no.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 17 Feb 2023 13:47:08 +0100

openvr (1.23.7~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.23.7.
  * Add an upstream patch to fix the build.
  * Rebase upstream-pull-request-1342.patch to point to a new file location.
  * debian/clean: Clean bin/.

 -- Safir Secerovic <sapphire@linux.org.ba>  Sat, 11 Feb 2023 17:42:28 -0600

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,25 @@
 Section: contrib/devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
-Uploaders: Héctor Orón Martínez <zumbi@debian.org>
-Build-Depends:
+XSBC-Original-Maintainer: Debian xrdesktop Team <team+xrdesktop@tracker.debian.org>
+Uploaders:
+ Andrej Shadura <andrewsh@debian.org>,
+ Lubosz Sarnecki <lubosz.sarnecki@collabora.com>,
+ Christoph Haag <christoph.haag@collabora.com>,
+Build-Depends: dpkg-dev (>= 1.22.5),
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  libjsoncpp-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ValveSoftware/openvr
 Vcs-Browser: https://salsa.debian.org/xrdesktop-team/openvr
 Vcs-Git: https://salsa.debian.org/xrdesktop-team/openvr.git
+Rules-Requires-Root: no
 
-Package: libopenvr-api1
+Package: libopenvr-api1t64
+Provides: ${t64:Provides}
+Replaces: libopenvr-api1
+Breaks: libopenvr-api1 (<< ${source:Version})
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
@@ -28,7 +35,7 @@
 Section: contrib/libdevel
 Architecture: linux-any
 Depends:
- libopenvr-api1 (= ${binary:Version}),
+ libopenvr-api1t64 (= ${binary:Version}),
  ${misc:Depends},
 Replaces: libopenvr-api-dev (<<1.8.19~ds1-2)
 Breaks: libopenvr-api-dev (<<1.8.19~ds1-2)

=== debian/watch ===
version=3
opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openvr-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/[~+]ds\d*$//,\
repacksuffix=~ds1 \
  https://github.com/ValveSoftware/openvr/tags .*/v?(\d\S*)\.tar\.gz

## openvr 2.12.1~ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Set the minimum required version of CMake for this project.
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.12)
 
 # Set project name.
 project(OpenVRSDK)
@@ -49,8 +49,10 @@
   if(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
     set(PLATFORM_NAME "linux")
     add_definitions(-DLINUX -DPOSIX)
-    if(PROCESSOR_ARCH MATCHES "64")
-        add_definitions(-DLINUX64)
+    if (CMAKE_SYSTEM_PROCESSOR MATCHES "aarch64")
+      add_definitions(-DLINUXARM64)
+    elseif(PROCESSOR_ARCH MATCHES "64")
+      add_definitions(-DLINUX64)
     endif()
   endif()
 elseif(APPLE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 if(APPLE)
   set(CMAKE_MACOSX_RPATH 1)
   if(CMAKE_SYSTEM_NAME MATCHES "Darwin")
-    set_source_files_properties(vrcommon/pathtools_public.cpp vrcommon/vrpathregistry_public.cpp PROPERTIES COMPILE_FLAGS "-x objective-c++")
+    set_source_files_properties(vrcore/pathtools_public.cpp vrcore/vrpathregistry_public.cpp PROPERTIES COMPILE_FLAGS "-x objective-c++")
   endif()
   if(BUILD_SHARED OR BUILD_FRAMEWORK)
     find_library(FOUNDATION_FRAMEWORK Foundation)
@@ -23,7 +23,7 @@
 endif()
 
 # Add include folders.
-include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../headers ${CMAKE_CURRENT_SOURCE_DIR}/vrcommon)
+include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../headers ${CMAKE_CURRENT_SOURCE_DIR}/vrcore)
 
 if(USE_CUSTOM_LIBCXX)
 	link_directories(
@@ -36,19 +36,21 @@
 	openvr_api_public.cpp
 	jsoncpp.cpp
 )
-set(VRCOMMON_FILES
-	vrcommon/dirtools_public.cpp
-	vrcommon/envvartools_public.cpp
-	vrcommon/pathtools_public.cpp
-	vrcommon/sharedlibtools_public.cpp
-	vrcommon/hmderrors_public.cpp
-	vrcommon/vrpathregistry_public.cpp
-	vrcommon/strtools_public.cpp
+set(VRCORE_FILES
+	vrcore/dirtools_public.cpp
+	vrcore/envvartools_public.cpp
+	vrcore/pathtools_public.cpp
+	vrcore/sharedlibtools_public.cpp
+	vrcore/hmderrors_public.cpp
+	vrcore/vrpathregistry_public.cpp
+	vrcore/strtools_public.cpp
 )
+
+add_compile_definitions(VRCORE_NO_PLATFORM)
 
 set(SOURCE_FILES
 	${CORE_FILES}
-	${VRCOMMON_FILES}
+	${VRCORE_FILES}
 )
 
 set(PUBLIC_HEADER_FILES
@@ -61,8 +63,8 @@
 	${CORE_FILES}
 )
 
-source_group("VRCommon" FILES
-	${VRCOMMON_FILES}
+source_group("VRCore" FILES
+	${VRCORE_FILES}
 )
 
 # Build the library.

=== debian/changelog ===
openvr (2.12.1~ds1-1) unstable; urgency=medium

  * Team upload.
  * salsa-ci.yml: disable 32-bits architectures
  * Fix bug closed in previous changelog entry
  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 29 Aug 2025 07:37:43 +0200

openvr (2.12.1~ds1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.12.1~ds1 (Closes: #1067724)
  * Remove libopenvr-api1t64.lintian-overrides to handle correctly
  * d/patches:
    - Remove openvr-fix-1.23.7-compilation.patch, already applied in the
      upstream
    - Refresh all patches
  * d/control:
    - Bump Standards-Version to 4.7.2; no changes needed
    - Rename libopenvr-api1t64 to libopenvr-api2 to match SONAME bump
    - Remove unnecessary Breaks/Replaces from libopenvr-api2
    - Move dpkg-dev in Build-Depends to follow formatting convention
  * d/copyright:
    - Add contrib section explanation
    - Add myself
  * d/rules: Enable full hardening
  * d/watch: Bump to version 4
  * Add salsa-ci.yml and enabling building on ARM

 -- Aquila Macedo Costa <aquilamacedo@riseup.net>  Thu, 07 Aug 2025 19:20:55 -0300

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,24 @@
 Source: openvr
 Section: contrib/devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian xrdesktop Team <team+xrdesktop@tracker.debian.org>
+Maintainer: Debian xrdesktop Team <team+xrdesktop@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Lubosz Sarnecki <lubosz.sarnecki@collabora.com>,
  Christoph Haag <christoph.haag@collabora.com>,
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
+ dpkg-dev (>= 1.22.5),
  cmake,
  debhelper-compat (= 13),
  libjsoncpp-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/ValveSoftware/openvr
 Vcs-Browser: https://salsa.debian.org/xrdesktop-team/openvr
 Vcs-Git: https://salsa.debian.org/xrdesktop-team/openvr.git
 Rules-Requires-Root: no
 
-Package: libopenvr-api1t64
+Package: libopenvr-api2
 Provides: ${t64:Provides}
-Replaces: libopenvr-api1
-Breaks: libopenvr-api1 (<< ${source:Version})
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
@@ -35,7 +33,7 @@
 Section: contrib/libdevel
 Architecture: linux-any
 Depends:
- libopenvr-api1t64 (= ${binary:Version}),
+ libopenvr-api2 (= ${binary:Version}),
  ${misc:Depends},
 Replaces: libopenvr-api-dev (<<1.8.19~ds1-2)
 Breaks: libopenvr-api-dev (<<1.8.19~ds1-2)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED=True -DUSE_SYSTEM_JSONCPP=True

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openvr-\$1\.tar\.gz/,\
 uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
